org.apache.ignite.internal.processors.rest.request

## Class GridRestLogRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.request.GridRestRequest
  - - org.apache.ignite.internal.processors.rest.request.GridRestLogRequest

    public class GridRestLogRequest
    extends GridRestRequest

Grid command request of log file.

### Constructor Summary

Constructors
Constructor and Description
`GridRestLogRequest()`

### Method Summary

Methods
`int` `from()`
`void` `from(int from)`
`String` `path()`
`void` `path(String path)`
`int` `to()`
`void` `to(int to)`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.rest.request.GridRestRequest

`address, address, clientId, clientId, command, command, credentials, credentials, destinationId, destinationId, sessionToken, sessionToken`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridRestLogRequest

    public GridRestLogRequest()

### Method Detail

#### path

    public String path()

Returns:
  Path to log file.

#### path

    public void path(String path)

Parameters:
  `path` - Path to log file.

#### from

    public int from()

Returns:
  From line, inclusive, indexing from 0.

#### from

    public void from(int from)

Parameters:
  `from` - From line, inclusive, indexing from 0.

#### to

    public int to()

Returns:
  To line, inclusive, indexing from 0.

#### to

    public void to(int to)

Parameters:
  `to` - To line, inclusive, indexing from 0.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridRestRequest`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015